Runtime

## org.eclipse.gmf.runtime.notation
Interface ShapeStyle

All Superinterfaces:
  DescriptionStyle, org.eclipse.emf.ecore.EObject, FillStyle, FontStyle, LineStyle, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  Shape

All Known Implementing Classes:
  ShapeImpl, ShapeStyleImpl

    public interface ShapeStyle

extends FontStyle, DescriptionStyle, FillStyle, LineStyle

A representation of the model object 'Shape Style'.

A shape style is a typical style to be installed on shape nodes that own a description (like note shapes). It gives the node fill, line, font and description style properties

See Also:
  `NotationPackage.getShapeStyle()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.gmf.runtime.notation.FontStyle
`getFontColor, getFontHeight, getFontName, isBold, isItalic, isStrikeThrough, isUnderline, setBold, setFontColor, setFontHeight, setFontName, setItalic, setStrikeThrough, setUnderline`

Methods inherited from interface org.eclipse.gmf.runtime.notation.DescriptionStyle
`getDescription, setDescription`

Methods inherited from interface org.eclipse.gmf.runtime.notation.FillStyle
`getFillColor, getGradient, getTransparency, setFillColor, setGradient, setTransparency`

Methods inherited from interface org.eclipse.gmf.runtime.notation.LineStyle
`getLineColor, getLineWidth, setLineColor, setLineWidth`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.